{ lib, pkgs, ... }: {
  environment.systemPackages = [
    pkgs.adi1090x-plymouth-themes
  ];

  boot = {
    #initrd.verbose = false;
    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
    };
    
    kernelPackages = pkgs.linuxPackages_xanmod_stable;
    #kernelParams = [
      #"quiet"
      #"splash"
      #"boot.shell_on_fail"
      #"udev.log_priority=3"
      #"rc.systemd.show_status=auto"
    #];

    extraModprobeConfig = ''
      options bluetooth enable_ecred=1
    '';

    #plymouth = {
    #  enable = true;
    #  theme = lib.mkForce "glitch";
    #  themePackages = [
    #    (pkgs.adi1090x-plymouth-themes.override { selected_themes = [ "glitch" ]; })
    #  ];
    #};
    #consoleLogLevel = 3;
    loader.timeout = 3;
  };
}

